<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');

$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
echo("Módulo:Criar LayOut de relatório. Serve para usar em conjunto com a função FAREJADOR. <br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$posicaoEntrante=post('posicaoEntrante');

if($posicaoEntrante==0):
   $posicaoEntrante=1;
   $posicaoNova=1;
endif;


		 




?>
       <script>
         function  ClikButton(e)
       {
           //document.formAmostra.endereco.value=document.formAmostra.especie.options[document.formAmostra.especie.selectedIndex].text;
           document.formAmostra.tipo.value = e;
           //alert(document.formAmostra.tipo.value)
    /////////////INCLUIR///////////////////////       
           if(e==1) //novo 
           {
               if(document.formAmostra.titulo.value.length > 0 )
               {
                    document.formAmostra.submit();
               } 
           }
  
         if(e==8) //era 9
           {
             document.formAmostra.nomeSele.value=document.formAmostra.nomeComboModelos.options[document.formAmostra.nomeComboModelos.selectedIndex].text;
             //document.formAmostra.nomeComum.value=document.formAmostra.especie.options[document.formAmostra.especie.selectedIndex].text;
             document.formAmostra.submit();
           }
  




           if(e==9) //era 9
           {
             document.formAmostra.nomeSele.value=document.formAmostra.nomeCombo.options[document.formAmostra.nomeCombo.selectedIndex].text;
             //document.formAmostra.nomeComum.value=document.formAmostra.especie.options[document.formAmostra.especie.selectedIndex].text;
             //document.formAmostra.b_novo.value='Novo';
             document.formAmostra.submit();
           }
       }
    </script>
<?php


$tipo=post('tipo');
$firstName=post('firstName');
//$nomeModelo=post('nomeComboModelos');
if(post('titulo')!='')$nomeModelo=post('titulo');
//$nomeModelo=post('titulo');

if($tipo==null) $tipo="0";
if($tipo=="") $tipo="0";
//echo ("provisorio=$provisorio tipo=$tipo firstname= $firstName<br>");

if($tipo=="1" || $tipo=="4") 
{
     $titulo=post('titulo');
	 
 
}

 $vetorSele[1]=post('nomeSele1');
 $vetorSele[2]=post('nomeSele2');
 $vetorSele[3]=post('nomeSele3');
 $vetorSele[4]=post('nomeSele4');
 $vetorSele[5]=post('nomeSele5');
 $vetorSele[6]=post('nomeSele6');
 $vetorSele[7]=post('nomeSele7');
 $vetorSele[8]=post('nomeSele8');
 $vetorSele[9]=post('nomeSele9');
 $vetorSele[10]=post('nomeSele10');
 $vetorSele[11]=post('nomeSele11');
 $vetorSele[12]=post('nomeSele12');
 $vetorSele[13]=post('nomeSele13');
 $vetorSele[14]=post('nomeSele14');
 $vetorSele[15]=post('nomeSele15');
 $vetorSele[16]=post('nomeSele16');
 $vetorSele[17]=post('nomeSele17');
 $vetorSele[18]=post('nomeSele18');
 $vetorSele[19]=post('nomeSele19');
 $vetorSele[20]=post('nomeSele20');
 
  $vetorAparece[1]=post('nomeAparece1');
  $vetorAparece[2]=post('nomeAparece2');
  $vetorAparece[3]=post('nomeAparece3');
  $vetorAparece[4]=post('nomeAparece4');
  $vetorAparece[5]=post('nomeAparece5');
  $vetorAparece[6]=post('nomeAparece6');
  $vetorAparece[7]=post('nomeAparece7');
  $vetorAparece[8]=post('nomeAparece8');
  $vetorAparece[9]=post('nomeAparece9');
  $vetorAparece[10]=post('nomeAparece10');
  $vetorAparece[11]=post('nomeAparece11');
  $vetorAparece[12]=post('nomeAparece12');
  $vetorAparece[13]=post('nomeAparece13');
  $vetorAparece[14]=post('nomeAparece14');
  $vetorAparece[15]=post('nomeAparece15');
  $vetorAparece[16]=post('nomeAparece16');
  $vetorAparece[17]=post('nomeAparece17');
  $vetorAparece[18]=post('nomeAparece18');
  $vetorAparece[19]=post('nomeAparece19');
  $vetorAparece[20]=post('nomeAparece20');

  $vetorLargura[1]=post('largura1');
  $vetorLargura[2]=post('largura2');
  $vetorLargura[3]=post('largura3');
  $vetorLargura[4]=post('largura4');
  $vetorLargura[5]=post('largura5');
  $vetorLargura[6]=post('largura6');
  $vetorLargura[7]=post('largura7');
  $vetorLargura[8]=post('largura8');
  $vetorLargura[9]=post('largura9');
  $vetorLargura[10]=post('largura10');
  $vetorLargura[11]=post('largura11');
  $vetorLargura[12]=post('largura12');
  $vetorLargura[13]=post('largura13');
  $vetorLargura[14]=post('largura14');
  $vetorLargura[15]=post('largura15');
  $vetorLargura[16]=post('largura16');
  $vetorLargura[17]=post('largura17');
  $vetorLargura[18]=post('largura18');
  $vetorLargura[19]=post('largura19');
  $vetorLargura[20]=post('largura20');



  $vetorField[1]=post('nomeField1');
  $vetorField[2]=post('nomeField2');
  $vetorField[3]=post('nomeField3');
  $vetorField[4]=post('nomeField4');
  $vetorField[5]=post('nomeField5');
  $vetorField[6]=post('nomeField6');
  $vetorField[7]=post('nomeField7');
  $vetorField[8]=post('nomeField8');
  $vetorField[9]=post('nomeField9');
  $vetorField[10]=post('nomeField10');
  $vetorField[11]=post('nomeField11');
  $vetorField[12]=post('nomeField12');
  $vetorField[13]=post('nomeField13');
  $vetorField[14]=post('nomeField14');
  $vetorField[15]=post('nomeField15');
  $vetorField[16]=post('nomeField16');
  $vetorField[17]=post('nomeField17');
  $vetorField[18]=post('nomeField18');
  $vetorField[19]=post('nomeField19');
  $vetorField[20]=post('nomeField20');


if($tipo=="1"  && $titulo!=""): 
         //primeira coisa é verificar se o modelo existe
	    	$generica1=new tabelagenerica();
			$generica1->extras_select ="select rmo_id from relatomodelo where rmo_labo=".$idLabo." &&  rmo_nome='". $nomeModelo."'";
			$generica1->selecionaCamposEspecial($generica1);
            $idNota=0;
			while ($resgenerica1= $generica1->retornaDados()):
			   $idNota=$resgenerica1->rmo_id;
		    endwhile; 
		 
		 
		 
		  
	     //significa que nao achou entao vai criar um registro
	     
		 
		 
		 
if($idNota==0):		 
		 //echo("Vai criar a nota <br>");	
		 $sql="insert into relatomodelo(rmo_nome,rmo_labo) values('$titulo','$idLabo')";
	     //echo("sql de gravacao=$sql<br>");
         $userNota = new generica();
         $userNota->campos_valores = $sql;				 
		 $userNota->inserirEspecial($userNota);
		 $idNota=$userNota->linhasafetadas;
		 //echo("idNota=$idNota<br>");
		 //$sessao->setVar('idNota', $idNota);
	     // echo("sql de gracvacao= $sql  criou uma nova idNota= $idNota<br>");
         //vai recuperar a sessao idnota que esteja ocorrendo
		 //$idNota=$sessao->getVar('idNota');
		 $userItem = new generica();
    	 for($i=1;$i<=20;$i++)
		 {
		     //echo("verorsele= $vetorSele[$i]<br>");
		     if(empty($vetorSele[$i])==false)
		     {   	 
				 $sql="insert into relatocampos(rca_id_modelo,rca_campo_sel,rca_campo_custom,rca_campo_tabela) values('$idNota','$vetorSele[$i]','$vetorAparece[$i]','$vetorLargura[$i]')";
				 // echo("sql da tabela =$sql <br>");
		         $userItem->campos_valores = $sql;				 
		         $userItem->inserirEspecial($userItem);
		     }
	     }
		 printMSG('Ok. Gravado novo modelo de documento!','alerta');
    else://caso ja esixta o documento, ee so vai editar
		 //aqui vai deletar todos registro e criar novamente
		 $k=1;
         While(empty($vetorField[$k])==FALSE):
			 //$posicaoEntrante=$k+1;
		     $k++;
		 endwhile;   //endw.fecha o for que vai de 1 a 20
		 echo("valor de k=$k<br>");
         if($k>1):


		     $generica1=new tabelagenerica();
			 $generica1->extras_select ="delete from relatocampos where rca_id_modelo=". $idNota;
			 $generica1->selecionaCamposEspecial($generica1);
			 
			 
			 $userItem = new generica();
	    	 for($i=1;$i<=20;$i++)
			 {
			     //echo("verorsele= $vetorSele[$i]<br>");
			     if(empty($vetorSele[$i])==false)
			     {   	 
					 $sql="insert into relatocampos(rca_id_modelo,rca_campo_sel,rca_campo_custom,rca_campo_tabela) values('$idNota','$vetorSele[$i]','$vetorAparece[$i]','$vetorLargura[$i]')";
					 // echo("sql da tabela =$sql <br>");
			         $userItem->campos_valores = $sql;				 
			         $userItem->inserirEspecial($userItem);
			     }
		     }
			 printMSG('Ok. Modelo de documento foi editado!','alerta');
         endif;//testa o valor de k


	endif;//fim do teste se ja tem ou nao o modelo



	     
endif;//final do teste tipo=1


//SELECIONA O MODELO CLICANDO NO COMBO
if($tipo=="8"):
$nomeModelo=post('nomeComboModelos');
//$titulo=post('titulo');
	 	$radial=post('radial');//valor radio que pode ser sim/nao
	    if($radial=='SIM'):
	        $nomeModelo=post('nomeComboModelos');
	    	$generica1=new tabelagenerica();
			$generica1->extras_select ="delete from relatomodelo where rmo_nome='". $nomeModelo."' and rmo_labo=".$idLabo;
			$generica1->selecionaCamposEspecial($generica1);
        else:
            //echo("aqui vai editar");		
            //vai capturar 
			//aqui limpa a matriz de customizados
			for($i=1;$i<=20;$i++):
               $vetorAparece[$i]="";
               $vetorField[$i]="";
               $vetorLargura[$i]="";
               $vetorSele[$i]="";
			endfor;

	    	$generica1=new tabelagenerica();
			$generica1->extras_select ="select rca_campo_sel,rca_campo_custom,rca_campo_tabela from relatomodelo,relatocampos where rca_id_modelo=rmo_id and rmo_nome='". $nomeModelo."' and rmo_labo=".$idLabo." order by rca_id";
			$generica1->selecionaCamposEspecial($generica1);
			while ($resgenerica1= $generica1->retornaDados()):
			   $contaCampos++;
			   $vetorLargura[$contaCampos]=$resgenerica1->rca_campo_tabela;
			   $vetorAparece[$contaCampos]=$resgenerica1->rca_campo_custom;
			   $vetorField[$contaCampos]=$resgenerica1->rca_campo_sel;
			   $vetorSele[$contaCampos]=$resgenerica1->rca_campo_sel;
               //echo("campos $vetorAparece[$contaCampos] <br>");
		    endwhile; 
            $posicaoEntrante=$contaCampos+1;
			if($posicaoEntrante>20)$posicaoEntrante=20;
             //NAO DELETAR ISSO POIS É UMA SINTAXE ESPECIAL QUE FUNCIONA 
			 //$resgenerica1= $generica1->retornaDados();
             //$idModelo=$resgenerica1->rmo_id;nao deletar isso pois funciona para pegar um campo, sem usar o while
             //echo("idmodelo= $idModelo");
		endif; 	 
	 
	 
endif;
 
 
//echo("clicou na especie sendo tipo= $tipo<br>");
if($tipo=="9")://combobox que seleciona os campos
    	 //recalcula a posicao entrante
		 $k=1;
         While(empty($vetorField[$k])==FALSE):
			 //$posicaoEntrante=$k+1;
		     $k++;
		 endwhile;   //endw.fecha o for que vai de 1 a 20
		 $posicaoNova=$k+1;



	 $posicaoEntrante=post('posicaoEntrante');
	 $nomeSele=post('nomeSele');
	 echo("Coluna selecionada: $nomeSele<br>");
	 
	 
	 $larguraSele=post('larguraSele');

	 //se o cabra é do mal e coloca dois iguais ele deve dar mensagem e abortar
	 $temIgual="nao";
	   	 //verifica se no vetor ja tem um igual
		 $k=1;
         While(empty($vetorSele[$k])==FALSE):
			 if($nomeSele==$vetorSele[$k]):
			     $temIgual="sim";;
                 echo("nome sele= $nomeSele vetor sele= $vetorSele[$k]<br>");				 
			 endif;	 
		     $k++;
		 endwhile;   //endw.fecha 
	 
	 
	 
	 
     if($temIgual=="sim"):
        printMSG('Não pode inserir a mesma coluna duas vezes!','alerta');

     else:
	     //aqui vão os casuismos,  ou seja, a legenda do campo gera  nome do campo (isso aqui deve nao sofrer mudanças)
		 if($nomeSele=="Amostra") $nomeField="fic_amostra";
		 if($nomeSele=="Previa") $nomeField="fic_previa";
		 if($nomeSele=="Categoria") $nomeField="fic_categoria";
		 if($nomeSele=="Aspecto") $nomeField="fic_sit_export";
		 if($nomeSele=="Produtor") $nomeField="prd_nome";
		 if($nomeSele=="Apelido") $nomeField="prd_apelido";
		 if($nomeSele=="Prod_Munic") $nomeField="prd_municipio";
		 if($nomeSele=="Prod_UF") $nomeField="prd_uf";
		 if($nomeSele=="Prod_RENASEM") $nomeField="Prod_RENASEM";
		 if($nomeSele=="Amostrador") $nomeField="amt_nome";
		 if($nomeSele=="Telefone") $nomeField="prd_telefone";
		 if($nomeSele=="Cultivar") $nomeField="ctv_nome";
		 if($nomeSele=="Peneira") $nomeField="fic_peneira";
		 if($nomeSele=="CEA") $nomeField="fic_tta";
		 if($nomeSele=="Comprovante") $nomeField="fic_comprovante";
		 if($nomeSele=="Safra") $nomeField="fic_safra";
		 if($nomeSele=="Repres.") $nomeField="fic_repre_quant";
		 if($nomeSele=="Repres(Unidade)") $nomeField="fic_repre_unid";
		 if($nomeSele=="Lote") $nomeField="fic_lote";
		 if($nomeSele=="Entrada") $nomeField="fic_dt_entrada";
		 if($nomeSele=="Data_Amostragem") $nomeField="fic_dt_amostragem";
		 if($nomeSele=="Data_Entrada") $nomeField="fic_dt_entrada";
		 if($nomeSele=="Procedencia") $nomeField="fic_procedencia";
		 if($nomeSele=="Especie") $nomeField="esp_nome";

		 if($nomeSele=="Pureza") $nomeField="fic_pure";
		 if($nomeSele=="Tetrazolio") $nomeField="fic_tz";
		 if($nomeSele=="Vigor") $nomeField="fic_vigor";
		 if($nomeSele=="Aprovacao") $nomeField="fic_aprovado";
		 if($nomeSele=="OutrasCtvares") $nomeField="fic_outrascultivares";
		 if($nomeSele=="Observacao") $nomeField="fic_observacao";
		 if($nomeSele=="Funcao") $nomeField="fic_funcao";
		 
		 
         //ESTES CAMPOS DAQUI PARA BAIXO SERAO TRATADOS COMO CASUISMOS DENTRO DA IMPRESSAO DEPOIS 
		 if($nomeSele=="PMS") $nomeField="PMS";
		 if($nomeSele=="EAC") $nomeField="EAC";
		 if($nomeSele=="E24") $nomeField="E24";
		 if($nomeSele=="E36") $nomeField="E36";
		 if($nomeSele=="E48") $nomeField="E48";
		 if($nomeSele=="E72") $nomeField="E72";
		 if($nomeSele=="FRIO") $nomeField="FRIO";
		 if($nomeSele=="CLV") $nomeField="CLV";
		 if($nomeSele=="INF") $nomeField="INF";
		 if($nomeSele=="TRI") $nomeField="TRI";
		 if($nomeSele=="DTU") $nomeField="DTU";
		 if($nomeSele=="ARE") $nomeField="ARE";

		 if($nomeSele=="sacas") $nomeField="sacas";
		 if($nomeSele=="kg/sc") $nomeField="kg/sc";
		 if($nomeSele=="pureza") $nomeField="pureza";
		 if($nomeSele=="MatInerte") $nomeField="MatInerte";
		 if($nomeSele=="OutrasSem.Perc") $nomeField="outras_sem_per";
		 if($nomeSele=="OutrasSem.Numero") $nomeField="outras_sem_num";
		 if($nomeSele=="DescricaoDOS") $nomeField="descricao_dos";
		 
		 if($nomeSele=="Germinacao") $nomeField="germinacao";
		 if($nomeSele=="Anormais") $nomeField="anormais";
		 if($nomeSele=="Infecionadas") $nomeField="infecionadas";
		 if($nomeSele=="Dura") $nomeField="dura";
		 if($nomeSele=="Dormentes") $nomeField="dormentes";
		 if($nomeSele=="Mortas") $nomeField="mortas";
		 if($nomeSele=="Validade") $nomeField="validade";
		 
		 if($nomeSele=="EA_Germ") $nomeField="EA_Germ";
		 if($nomeSele=="EA_Anor") $nomeField="EA_Anor";
		 if($nomeSele=="EA_Infe") $nomeField="EA_Infe";
		 if($nomeSele=="EA_Dura") $nomeField="EA_Dura";
		 if($nomeSele=="EA_Dorm") $nomeField="EA_Dorm";
		 if($nomeSele=="EA_Mort") $nomeField="EA_Mort";

		 if($nomeSele=="Boletim") $nomeField="Boletim";
		 if($nomeSele=="Informe") $nomeField="Informe";
		 if($nomeSele=="Certificado") $nomeField="Certificado";
		 
		 if($nomeSele=="Previsao") $nomeField="previsao";
		 if($nomeSele=="EntraGerminacao") $nomeField="dt_iniciogerminacao";
		 
		 //tetrazolio
		 if($nomeSele=="DM18") $nomeField="DM18";
		 if($nomeSele=="DM68") $nomeField="DM68";
		 if($nomeSele=="UM18") $nomeField="UM18";
		 if($nomeSele=="UM68") $nomeField="UM68";
		 if($nomeSele=="PE18") $nomeField="PE18";
		 if($nomeSele=="PE68") $nomeField="PE68";
		 if($nomeSele=="Duras") $nomeField="Duras";
		 if($nomeSele=="VIGOR13") $nomeField="VIGOR13";
		 if($nomeSele=="VIAB15") $nomeField="VIAB15";
		 if($nomeSele=="R1") $nomeField="R1";
		 if($nomeSele=="R2") $nomeField="R2";
		 if($nomeSele=="R3") $nomeField="R3";
		 if($nomeSele=="R4") $nomeField="R4";
		 
		 
         //funciona assim: ele vai jogar na posicao entrante 
		 //a posicao entrante geralmente é depois da ultima mas na edicao sera a posicao digitada		
		 //se for grava normal, se nao for entao coloca na posicao entrante que foi selecionado no combo
		 $vetorSele[$posicaoEntrante]=$nomeSele;
	     $vetorAparece[$posicaoEntrante]=$nomeSele;//o usuario vai aparentemente poder editar mas vai editar so imagem e nao o campo propriamente dito escondido
         $vetorField[$posicaoEntrante]=$nomeField;//ja abastece o vetorField pois neste momento ja havia sido gerado o conteudo dentro do casuismo
    	 $posicaoEntrante=$posicaoNova;
		 if($posicaoEntrante>20)$posicaoEntrante=20;


		 /*recalcula a posicao entrante
		 $k=1;
         While(empty($vetorField[$k])==FALSE):
			 $posicaoEntrante=$k+1;
		     $k++;
		 endwhile;   //endw.fecha o for que vai de 1 a 20
		 $posicaoNova=$k+1;
		 */
	 endif;//fecha o if que testa se o campo selecionado é igual um ja existente
  endif;//fecha o if do teste tipo==9 

//ENTRA DE QUAKQUER MANEIRA para achar o modelo
$generica=new tabelagenerica();
$generica->tabela="relatomodelo";
$generica->campos_valores = array(
		"rmo_nome" => NULL,
	);
$generica->extras_select ="  where  rmo_labo=".$idLabo;
$generica->selecionaCampos($generica);
$contador=-1;
while ($resgenerica = $generica->retornaDados()):
    $contador++;
    $nome[$contador] =$resgenerica->rmo_nome;//nao é a id e sim o numero do pedido
    //echo("esta no tipo2 $nome<br>"); 
endwhile;




?>
<html xmlns = "http://www.w3.org/1999/xhtml">
<head>
   <title>ColunasDinamica</title>
</head>
<body background="Imagens/fundoazuldegradecentral1.jpg">
<h1 align="center">Cadastro de colunas do relatório planilha dinâmica.</h1>
 <form id="formAmostra" name="formAmostra" method="post" >
 <table  border="1" cellspacing="1"   width="800" align="center">
 <tr>
 <td align="center">Colunas</td>
 <td align="center">1ªCol </td>
 <td align="center">2ªcol </td>
 <td align="center">3ªcol </td>
 <td align="center">4ªcol </td>
 <td align="center">5ªcol </td>
 <td align="center">6ªcol </td>
 <td align="center">7ªcol </td>
 <td align="center">8ªcol </td>
 <td align="center">9ªcol </td>
 <td align="center">10ªcol </td>
 <td align="center">11ªcol </td>
 <td align="center">12ªCol </td>
 <td align="center">13ªcol </td>
 <td align="center">14ªcol </td>
 <td align="center">15ªcol </td>
 <td align="center">16ªcol </td>
 <td align="center">17ªcol </td>
 <td align="center">18ªcol </td>
 <td align="center">19ªcol </td>
 <td align="center">20ªcol </td>

 </tr>
 <tr>
 <td></td>
 <!--estes campos sao hidden-->
 <td><input type = "hidden" size="4"  name="nomeSele1" value="<?php echo($vetorSele[1])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele2" value="<?php echo($vetorSele[2])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele3" value="<?php echo($vetorSele[3])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele4" value="<?php echo($vetorSele[4])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele5" value="<?php echo($vetorSele[5])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele6" value="<?php echo($vetorSele[6])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele7" value="<?php echo($vetorSele[7])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele8" value="<?php echo($vetorSele[8])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele9" value="<?php echo($vetorSele[9])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele10" value="<?php echo($vetorSele[10])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele11" value="<?php echo($vetorSele[11])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele12" value="<?php echo($vetorSele[12])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele13" value="<?php echo($vetorSele[13])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele14" value="<?php echo($vetorSele[14])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele15" value="<?php echo($vetorSele[15])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele16" value="<?php echo($vetorSele[16])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele17" value="<?php echo($vetorSele[17])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele18" value="<?php echo($vetorSele[18])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele19" value="<?php echo($vetorSele[19])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeSele20" value="<?php echo($vetorSele[20])?>"> </td>





 </tr>
 <tr>
 <td>APARECERÁ</td>
 <td><input type = "text" size="4"  name="nomeAparece1" value="<?php echo($vetorAparece[1])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece2" value="<?php echo($vetorAparece[2])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece3" value="<?php echo($vetorAparece[3])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece4" value="<?php echo($vetorAparece[4])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece5" value="<?php echo($vetorAparece[5])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece6" value="<?php echo($vetorAparece[6])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece7" value="<?php echo($vetorAparece[7])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece8" value="<?php echo($vetorAparece[8])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece9" value="<?php echo($vetorAparece[9])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece10" value="<?php echo($vetorAparece[10])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece11" value="<?php echo($vetorAparece[11])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece12" value="<?php echo($vetorAparece[12])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece13" value="<?php echo($vetorAparece[13])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece14" value="<?php echo($vetorAparece[14])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece15" value="<?php echo($vetorAparece[15])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece16" value="<?php echo($vetorAparece[16])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece17" value="<?php echo($vetorAparece[17])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece18" value="<?php echo($vetorAparece[18])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece19" value="<?php echo($vetorAparece[19])?>"> </td>
 <td><input type = "text" size="4"  name="nomeAparece20" value="<?php echo($vetorAparece[20])?>"> </td>
 </tr>
 <tr>

 <tr>
 <td>LARGURAS</td>
 <td><input type = "text" size="4"  name="largura1" value="<?php echo($vetorLargura[1])?>"> </td>
 <td><input type = "text" size="4"  name="largura2" value="<?php echo($vetorLargura[2])?>"> </td>
 <td><input type = "text" size="4"  name="largura3" value="<?php echo($vetorLargura[3])?>"> </td>
 <td><input type = "text" size="4"  name="largura4" value="<?php echo($vetorLargura[4])?>"> </td>
 <td><input type = "text" size="4"  name="largura5" value="<?php echo($vetorLargura[5])?>"> </td>
 <td><input type = "text" size="4"  name="largura6" value="<?php echo($vetorLargura[6])?>"> </td>
 <td><input type = "text" size="4"  name="largura7" value="<?php echo($vetorLargura[7])?>"> </td>
 <td><input type = "text" size="4"  name="largura8" value="<?php echo($vetorLargura[8])?>"> </td>
 <td><input type = "text" size="4"  name="largura9" value="<?php echo($vetorLargura[9])?>"> </td>
 <td><input type = "text" size="4"  name="largura10" value="<?php echo($vetorLargura[10])?>"> </td>
 <td><input type = "text" size="4"  name="largura11" value="<?php echo($vetorLargura[11])?>"> </td>
 <td><input type = "text" size="4"  name="largura12" value="<?php echo($vetorLargura[12])?>"> </td>
 <td><input type = "text" size="4"  name="largura13" value="<?php echo($vetorLargura[13])?>"> </td>
 <td><input type = "text" size="4"  name="largura14" value="<?php echo($vetorLargura[14])?>"> </td>
 <td><input type = "text" size="4"  name="largura15" value="<?php echo($vetorLargura[15])?>"> </td>
 <td><input type = "text" size="4"  name="largura16" value="<?php echo($vetorLargura[16])?>"> </td>
 <td><input type = "text" size="4"  name="largura17" value="<?php echo($vetorLargura[17])?>"> </td>
 <td><input type = "text" size="4"  name="largura18" value="<?php echo($vetorLargura[18])?>"> </td>
 <td><input type = "text" size="4"  name="largura19" value="<?php echo($vetorLargura[19])?>"> </td>
 <td><input type = "text" size="4"  name="largura20" value="<?php echo($vetorLargura[20])?>"> </td>
 </tr>
 <tr>




 <td></td>
  <!--estes campos sao hidden-->
 <td><input type = "hidden" size="4"  name="nomeField1" value="<?php echo($vetorField[1])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField2" value="<?php echo($vetorField[2])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField3" value="<?php echo($vetorField[3])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField4" value="<?php echo($vetorField[4])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField5" value="<?php echo($vetorField[5])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField6" value="<?php echo($vetorField[6])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField7" value="<?php echo($vetorField[7])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField8" value="<?php echo($vetorField[8])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField9" value="<?php echo($vetorField[9])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField10" value="<?php echo($vetorField[10])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField11" value="<?php echo($vetorField[11])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField12" value="<?php echo($vetorField[12])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField13" value="<?php echo($vetorField[13])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField14" value="<?php echo($vetorField[14])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField15" value="<?php echo($vetorField[15])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField16" value="<?php echo($vetorField[16])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField17" value="<?php echo($vetorField[17])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField18" value="<?php echo($vetorField[18])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField19" value="<?php echo($vetorField[19])?>"> </td>
 <td><input type = "hidden" size="4"  name="nomeField20" value="<?php echo($vetorField[20])?>"> </td>
 </tr>



 </table>

	
           <input type = "hidden"   id="tipo"   name="tipo" value="0" />
           <input type = "hidden" size="5"  name="firstName" value="INICIADO">
           <input type = "hidden" size="5"  name="idCombo" value="<?php echo($idCombo)?>">
           <input type = "hidden" size="5"  name="nomeSele" value="<?php echo($nomeSele)?>">
       <td><input type = "hidden" name="idUsuario" value="<?php echo($idUsuario)?>">
           <td>
                        Selecione campos(colunas) do novo relatorio:
						 Se quiser outra posição, então digite aqui--><input type="text" name="posicaoEntrante" size="1"  value="<?php echo $posicaoEntrante;?>" />
						 <input type="hidden" name="posicaoNova" size="1"  value="<?php echo $posicaoNova;?>" />
						<br>
                            <select name="nomeCombo" multiple  SIZE=10 onchange="ClikButton(9)">  
	                              <option>Amostra</option>
	                              <option>Previa</option>
	                              <option>Lote</option>
	                              <option>Campo</option>
	                              <option>Produtor</option>
	                              <option>Apelido</option>
	                              <option>Prod_Munic</option>
	                              <option>Prod_UF</option>
	                              <option>Prod_RENASEM</option>
	                              <option>Telefone</option>
	                              <option>Amostrador</option>
	                              <option>Data_Amostragem</option>
	                              <option>Data_Entrada</option>
	                              <option>Procedencia</option>
	                              <option>Cultivar</option>
	                              <option>OutrasCtvares</option>
	                              <option>Especie</option>
	                              <option>Categoria</option>
	                              <option>Aspecto</option>
	                              <option>Funcao</option>
								  
	                              <option>Repres.</option>
	                              <option>Repres(Unidade)</option>
	                              <option>sacas</option>
	                              <option>kg/sc</option>
	                              <option>Quilos</option>
	                              <option>P.Unitario</option>
	                              <option>Unidades</option>
	                              <option>Peneira</option>
	                              <option>CEA</option>
	                              <option>Comprovante</option>
	                              <option>Safra</option>
	                              <option>Entrada</option>
	                              <option>Pureza</option>
	                              <option>MatInerte</option>
	                              <option>OutrasSem.Perc</option>
	                              <option>OutrasSem.Numero</option>
	                              <option>DescricaoDOS</option>
	                              <option>Germinacao</option>
	                              <option>GE2</option>
	                              <option>Substrato</option>
	                              <option>Anormais</option>
	                              <option>Infecionadas</option>
	                              <option>Dura</option>
	                              <option>Dormentes</option>
	                              <option>Mortas</option>
	                              <option>Validade</option>
	                              <option>ARE1</option>
	                              <option>ARE2</option>
	                              <option>EA_Germ</option>
	                              <option>EA_Anor</option>
	                              <option>EA_Infe</option>
	                              <option>EA_Dura</option>
	                              <option>EA_Dorm</option>
	                              <option>EA_Mort</option>
	                              <option>Boletim</option>
	                              <option>Informe</option>
	                              <option>Certificado</option>
	                              <option>Termo</option>
	                              <option>TermoAditivo</option>
								  <option>Canteiro</option>
								  <option>Can(Emer)</option>
								  <option>Can(Vigor)</option>
								  <option>BioEnsaio</option>
								  <option>Roundup %Tol</option>
								  <option>Reteste Roundup</option>
								  <option>Data Roundup</option>
								  <option>Glufosinato %Tol</option>
								  <option>Reteste Glufosinato</option>
								  <option>Data Glufosinato</option>
								  <option>Roundup NaoTol</option>
								  <option>Roundup anormais</option>
								  <option>Roundup mortas</option>
	                              <option>Infestação</option>
	                              <option>Elisa</ption>
	                              <option>EntraGerminacao</option>
	                              <option>Previsao</option>
	                              <option>DataGerminacao</option>
	                              <option>Aprovacao</option>
	                              <option>Observacao</option>
	                              <option>EAC</option>
	                              <option>E24</option>
	                              <option>E36</option>
								  <option>E48</option>
	                              <option>E72</option>
	                              <option>FRIO</option>
	                              <option>FRI2</option>
	                              <option>PMS</option>
	                              <option>CLV</option>
	                              <option>INF</option>
	                              <option>TRI</option>
	                              <option>DTU</option>
	                              <option>ARE</option>
	                              <option>Tetrazolio</option>
	                              <option>Vigor</option>
	                              <option>Duras</option>
	                              <option>R3</option>
								  <option>VERDES</option>
	                              <option>DM18</option>
	                              <option>DM68</option>
	                              <option>UM18</option>
	                              <option>UM68</option>
	                              <option>PE18</option>
	                              <option>PE68</option>
								  <!--colunas solicitadas por germinax 10/03/17-->
	                              <option>DM15</option>
	                              <option>DM45</option>
	                              <option>UM15</option>
	                              <option>UM45</option>
	                              <option>PE15</option>
	                              <option>PE45</option>
	                              <option>DML</option>
	                              <option>CLA1</option>
	                              <option>CLA2</option>
	                              <option>CLA3</option>
	                              <option>DataTZ</option>
	                              <option>EAR1</option>
	                              <option>EAR2</option>
	                              <option>EAR3</option>
	                              <option>EAR4</option>
	                              <option>TRR</option>
	                              <option>Tratamento</option>
	                              <option>Tratamento(status)</option>
	                              <option>Pagou</option>
	                              <option>Testes</option>
	                              <option>Custo</option>
	                              <option>Bloqueada</option>
	                              <option>Fim(An/Rean)</option>
								  
                        </select>
  
                     </td>		   
			       <td>
           Lista para ver significado de cada sigla-->
		   <select name="siglas">
           <option>CLV=Classificação de vigor(Fortes&Fracas)</option>
           <option>DOS=Det. outras s. por número</option>
           <option>DTU=Det.Umidade</option>
           <option>ARE=SOLO OU AREIA</option>
           <option>EAC=Env. Acelerado</option>
           <option>*E24=Envelhec.24H</option>
           <option>*E36=Envelhec.36H</option>
           <option>*E48=Envelhec.48H</option>
           <option>*E72=Envelhec.72H</option>
           <option>*E96=Envelhec.96H</option>
           <option>FIT=Fitopatologia</option>
           <option>FRI=Frio</option>
           <option>GBT=Germinação a baixa temperatura</option>
           <option>GQD=Germinação c/quebra de dormencia</option>
           <option>*GPE=Germ. com Pré Embeb</option>
           <option>INF=S.Infestadas</option>
           <option>OCV=Outras cultivares</option>
           <option>PER=Peroxidase</option>
           <option>PMS=Peso de mil sementes</option>
           <option>PUR=Pureza</option>
           <option>SCA=Semente com casca aberta(arroz)</option>
           <option>SDO=Supressão de dormência</option>
           <option>VIG=Simples Vigor</option>
           <option>VLC=Valor cultural</option>
           <option>TZO=Tetrazólio</option>
           <option>ARE=Areia</option>
           <option>BVI=Broca viva</option>
           <option>MUP=Danos letais no TZ(Classe=>6)</option>
           <option>TRI=Dano triplo no TZ</option>
		   </select>
		</td>		




  <fieldset>
  <table  border="1" cellspacing="1"   width="800" align="center">
 <tr><td>Titulo que vai no relatório</td>
 <td><input type = "text"  size="60"  maxlength="50" name="titulo" value="<?php echo $nomeModelo;?>">
                 <input name="b_novo" type="button" id="b_novo" value="Gravar modelo" onclick="ClikButton(1)"/>

 
 </td>
 </tr>
 </table>

                 <table align="center">
				   
   
				<tr>
                <td>
				Modelos já gravados:
                      <select name="nomeComboModelos" multiple onchange="ClikButton(8)">  
                           <?php
                           for($i=0;$i<=$contador;$i++):
                              echo("<option>".$nome[$i]."</option>");						   
						   endfor;                            
                           ?>
                        </select>
  
						Marque a opção, antes de clicar no modelo
	                    <input type="radio" name="radial" value="SIM"         >Deletar
	                    <input type="radio" name="radial" value="NAO"     checked >Editar
			     </td>
                 </tr>
			   
			     </table>
				 </fieldset>
	 					
						
			     </form>  

           
				 Instruções:
				 1)Na linha onde diz[APARECERÁ] pode ser digitado um texto diferente do que apareceu em seguida ao clicar no combo.<br>
				 Este texto será aquele que realmente aparecerá na coluna do relatório final.<br>
				 2)Na linha [LARGURAS], digite a largura em milímetros que aparecerá ao imprimir.(se ficar em branco, valerá 20 fixo)<br>
				 6)Existem 20 colunas disponíveis, mas nao é recomendavel usar todas num so relatório,pois ficará horrível!<br>
	
				 
	</body>
	</html>
	
	